petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexInterpolate

Take in a cell-vertex mesh and return one with all intermediate faces, edges, etc.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInterpolate(DM dm, DM *dmInt)

Collective on DM

### Input Parameters

| dm | - The DMPlex object with only cells and vertices
| dmInt | - If NULL a new DM is created, otherwise the interpolated DM is put into the given DM

### Output Parameter

dmInt -The complete DMPlex object

### Keywords

mesh

### See Also

DMPlexUninterpolate(), DMPlexCreateFromCellList()

Level:intermediate
Location:src/dm/impls/plex/plexinterpolate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages